Bug 840795 - [ RHEVM] [backend] [Cluster Networking] variables ${action} ${type} in error message are not substituted when trying to detach network used by Template from cluster
[ RHEVM] [backend] [Cluster Networking] variables ${action} ${type} in error ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Alona Kaplan
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 04:51 EDT by Martin Pavlik
Modified: 2016-02-10 14:53 EST (History)
9 users (show)

See Also:
Fixed In Version: si14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (136.54 KB, image/png)
2012-07-17 04:51 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-07-17 04:51:23 EDT
Created attachment 598589 [details]
screenshot 1

Description of problem:
variables  ${action} ${type} in error message are not substituted when trying to detach network used by Template from cluster (see screenshot)

Version-Release number of selected component (if applicable):
oVirt Engine Version: '3.1.0-6.el6ev'

How reproducible:
100%

Steps to Reproduce:
1. Attach logical network to template
2. Clusters -> your cluster -> Logical Networks -> network attached to the template -> Assign/Unassign Networks
3. Uncheck Assign on network attached to the template -> click OK

  
Actual results:
error message with UNsubstituted variables ${action} ${type} appears

Expected results:
error message with properly substituted variables ${action} ${type} appears

Additional info:

Text of error message:
Error while executing action: Cannot ${action} ${type}. The Network is in use by a Template.
Network definition cannot be detached unless all references to it are cleared.


engine.log
2012-07-17 10:39:20,640 WARN  [org.ovirt.engine.core.bll.DetachNetworkToVdsGroupCommand] (ajp-/0.0.0.0:8009-10) CanDoAction of action DetachNetworkToVdsGroup failed. Reasons:NETWORK_CANNOT_REMOVE_NETWORK_IN_USE_BY_TEMPLATE
Comment 1 Alona Kaplan 2012-08-02 03:56:32 EDT
fixed in commit e357e5fc37877ee739b1f0feca2d968e4ffe135e

Note You need to log in before you can comment on or make changes to this bug.